Bug 449928 - (libwfut) Review Request: libwfut - WorldForge update tool library
Review Request: libwfut - WorldForge update tool library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 06:08 EDT by Alexey Torkhov
Modified: 2008-06-20 14:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-20 14:29:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wart: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2008-06-04 06:08:49 EDT
Spec URL: http://purple.worldforge.org/~alex/fedora/libwfut.spec
SRPM URL: http://purple.worldforge.org/~alex/fedora/libwfut-0.2.0-1.fc9.src.rpm
Description: libwfut is the WorldForge Update Tool (WFUT) client side implementation in C++ for use directly by WorldForge clients.

Here is conversation with wfut (it's old java implementation) package maintainer:
https://www.redhat.com/archives/fedora-games-list/2008-June/msg00001.html
https://www.redhat.com/archives/fedora-games-list/2008-June/msg00003.html
where we decided to leave current java wfut package while there exist package (sear) that is using it.

It's my first package though.
Comment 1 Wart 2008-06-09 00:16:23 EDT
This fails to build for me on F-9:
http://www.kobold.org/~wart/fedora/libwfut-build.log

Oddly enough, the build failure isn't 100% reproducible.  Sometimes it works,
sometimes it doesn't.  I suspect that maybe it's not safe with %{?_smp_mflags}
Comment 2 Wart 2008-06-09 00:27:04 EDT
Minor point:  If you add --disable-static to the %configure statement, then you
won't have to remove the .a files later on, though you still have to remove the
.la files.
Comment 3 Wart 2008-06-09 00:44:09 EDT
It also appears that the system-tinyxml.patch is not working as expected.  To
verify, try adding this to the end of %prep and rebuilding:

rm -f libwfut/tiny*

I think the problem is that you are patching configure.ac, but the changes are
never propogated to the configure script itself.  To make the changes take
effect, you will have to either patch the configure and Makefile.in files in
addition to configure.ac (preferred), or run autoconf/automake in %prep to
regenerate the files at build time.
Comment 4 Alexey Torkhov 2008-06-09 03:22:07 EDT
Thanks, I'll check these issues.

(In reply to comment #3)
> It also appears that the system-tinyxml.patch is not working as expected.  To
> verify, try adding this to the end of %prep and rebuilding:
> 
> rm -f libwfut/tiny*
I'm patching this file libwfut/tinyxml.h to include system <tinyxml.h>. So, if
you remove it, you will get errors indeed. I'm doing so because this patch has
been merged upstream, so it has to mainain compatibility with systems where are
no system-wide tinyxml installed.
One thing that could be done - is patch removing tinyxml sources from tinyxml*
to ensure that we are not building against it.

> I think the problem is that you are patching configure.ac, but the changes are
> never propogated to the configure script itself.  To make the changes take
> effect, you will have to either patch the configure and Makefile.in files in
> addition to configure.ac (preferred), or run autoconf/automake in %prep to
> regenerate the files at build time.
Yes, I thought about this, but autotools is smart thing - in Makefile it is
checking if configure.ac or Makefile.in changes and then rebuild configure or
Makefiles. So in our case it's running configure twice - yes, this is
uneffective but working. Anyway, I'll make patch on configure and Makefile.in in
some future.
Comment 5 Alexey Torkhov 2008-06-09 03:27:23 EDT
Um, I looked in build log and find that tinyxml patch is not working for some
reason (had to do this before) - will investigate it.
Comment 6 Alexey Torkhov 2008-06-09 04:55:59 EDT
Spec URL: http://purple.worldforge.org/~alex/fedora/libwfut.spec
SRPM URL: http://purple.worldforge.org/~alex/fedora/libwfut-0.2.0-1.fc9.src.rpm

Updated tinyxml patch to solve build problem.

The problem was that sometimes config.h.in wasn't rebuild and therefore
HAVE_LIBTINYXML was not defined. May be it's a bug in automake making makefile
unsuitable with %{?_smp_mflags}. Any suggestions, should we report it?

New patch, first, patches configure and Makefile.in so there will be no need to
run autoconf/automake. And second, removes tinyxml sources so there will never
be intention to build against it.
Comment 7 Wart 2008-06-14 17:55:37 EDT
The builds seem to be working fine now with configure and Makefile.in patched,
even with %{?_smp_mflags}.  Feel free to report it upstream, but I'm not going
to let it block this review.

Good
====
* rpmlint output ok (missing docs for -devel and -python ok)
  libwfut-devel.x86_64: W: no-documentation
  libwfut-python.x86_64: W: no-documentation
* Package named appropriately
* LGPLv2+ license ok
* spec file legible and in Am. English
* Compiles and builds on {F-8, F-9, F-10}-{i386,x86_64}
* Source matches upstream:
  caf063321410318602bc2afc3a8e046f  libwfut-0.2.0.tar.gz
* ldconfig called in %post/%postun as necessary
* Owns all directories that it creates
* No duplicate %files
* Macro use consistent
* Contains code, not content
* -devel subpackage contains appropriate contents

CHECK
=====
* BuildRequires: libtool does not appear to be necessary.  It's recommended to
remove it if it's really not needed.

Don't forget to bump the release number for every new spec file, even during the
review.  It makes it easier to compare differences between files during the
review process.

Please go ahead and continue with the 'Get a Fedora Account' section of the new
contributors process: http://fedoraproject.org/wiki/PackageMaintainers/Join. 
I'll be your sponsor after you request access to the 'cvsextras' group.

Comment 8 Alexey Torkhov 2008-06-15 04:45:28 EDT
Spec URL: http://purple.worldforge.org/~alex/fedora/libwfut.spec
SRPM URL: http://purple.worldforge.org/~alex/fedora/libwfut-0.2.0-2.fc9.src.rpm

Removed libtool from deps. (It was needed before, when tinyxml patch was
regenerating configure)

Also, added --disable-static to %configure, as was previously suggested.

> Please go ahead and continue with the 'Get a Fedora Account' section of the new
> contributors process: http://fedoraproject.org/wiki/PackageMaintainers/Join.
> I'll be your sponsor after you request access to the 'cvsextras' group.
Applied to cvsextras. I'd be glad if you also co-maintained the package.
Comment 9 Wart 2008-06-15 23:46:56 EDT
I can't seem to reach purple.worldforge.org at the moment.  Is this available
from another location?
Comment 10 Alexey Torkhov 2008-06-17 15:09:21 EDT
purple.worldforge.org is back now.
Comment 11 Wart 2008-06-17 17:48:17 EDT
Looks good.  This is APPROVED.  Go ahead follow the procedure to import this
into CVS and build:

https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

I'd be happy to comaintain this with you.  You do realize that I'm planning to
draft you as a comaintainer for the other WorldForge packages too, right?  :)
Comment 12 Alexey Torkhov 2008-06-18 08:45:10 EDT
(In reply to comment #11)
> I'd be happy to comaintain this with you.  You do realize that I'm planning to
> draft you as a comaintainer for the other WorldForge packages too, right?  :)
Yes, I had a guess :) And in turn will be happy too.
Comment 13 Alexey Torkhov 2008-06-18 08:45:38 EDT
New Package CVS Request
=======================
Package Name: libwfut
Short Description: update tool implementation in C++ for use directly by
WorldForge clients.
Owners: atorkhov,wart
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 14 Jason Tibbitts 2008-06-18 22:52:25 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.